ISINValidator (Apache Commons Validator 1.11.0 API)
Description: declaration: package: org.apache.commons.validator.routines, class: ISINValidator

# Class ISINValidator

java.lang.Object
org.apache.commons.validator.routines.ISINValidator

All Implemented Interfaces:
  `Serializable`

public class ISINValidator extends Object implements Serializable
ISIN (International Securities Identifying Number) validation.

ISIN Numbers are 12 character alphanumeric codes used to identify Securities.

ISINs consist of two alphabetic characters, which are the ISO 3166-1 alpha-2 code for the issuing country, nine alphanumeric characters (the National Securities Identifying Number, or NSIN, which identifies the security), and one numerical check digit. They are 12 characters in length.

See Wikipedia - ISIN for more details.

Since:
  1.7
See Also:
  - Serialized Form

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ISINValidator`
  `getInstance(boolean checkCountryCode)`
  Gets the singleton instance of the ISIN validator.
  `boolean`
  `isValid(String code)`
  Tests whether the code is a valid ISIN code after any transformation by the validate routine.
  `Object`
  `validate(String code)`
  Checks the code is valid ISIN code.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static ISINValidator getInstance(boolean checkCountryCode)
    Gets the singleton instance of the ISIN validator.
    Parameters:
      `checkCountryCode` - whether to check the country-code prefix or not
    Returns:
      A singleton instance of the appropriate ISIN validator.

  - ### isValid

    public boolean isValid(String code)
    Tests whether the code is a valid ISIN code after any transformation by the validate routine.
    Parameters:
      `code` - The code to validate.
    Returns:
      `true` if a valid ISIN code, otherwise `false`.

  - ### validate

    public Object validate(String code)
    Checks the code is valid ISIN code.
    Parameters:
      `code` - The code to validate.
    Returns:
      A valid ISIN code if valid, otherwise `null`.